org.apache.ignite.cache.eviction.lru

## Interface LruEvictionPolicyMBean

    @MXBeanDescription(value="MBean for LRU cache eviction policy.")
    public interface LruEvictionPolicyMBean

MBean for `LRU` eviction policy.

### Method Summary

Methods
`int` `getBatchSize()` Gets batch size.
`long` `getCurrentMemorySize()` Gets current queue size in bytes.
`int` `getCurrentSize()` Gets current queue size.
`long` `getMaxMemorySize()` Gets maximum allowed cache size in bytes.
`int` `getMaxSize()` Gets maximum allowed cache size.
`void` `setBatchSize(int batchSize)` Sets batch size.
`void` `setMaxMemorySize(long maxMemSize)` Sets maximum allowed cache size in bytes.
`void` `setMaxSize(int max)` Sets maximum allowed cache size.

### Method Detail

#### getMaxSize

    @MXBeanDescription(value="Maximum allowed cache size.")
    int getMaxSize()

Gets maximum allowed cache size.

Returns:
  Maximum allowed cache size.

#### setMaxSize

    @MXBeanDescription(value="Sets maximum allowed cache size.")
    void setMaxSize(int max)

Sets maximum allowed cache size.

Parameters:
  `max` - Maximum allowed cache size.

#### getBatchSize

    @MXBeanDescription(value="Batch size.")
    int getBatchSize()

Gets batch size.

Returns:
  batch size.

#### setBatchSize

    @MXBeanDescription(value="Set batch size.")
    void setBatchSize(int batchSize)

Sets batch size.

Parameters:
  `batchSize` - Batch size.

#### getCurrentSize

    @MXBeanDescription(value="Current queue size.")
    int getCurrentSize()

Gets current queue size.

Returns:
  Current queue size.

#### getMaxMemorySize

    @MXBeanDescription(value="Maximum allowed cache size in bytes.")
    long getMaxMemorySize()

Gets maximum allowed cache size in bytes.

Returns:
  maximum allowed cache size in bytes.

#### setMaxMemorySize

    @MXBeanDescription(value="Set maximum allowed cache size in bytes.")
    void setMaxMemorySize(long maxMemSize)

Sets maximum allowed cache size in bytes.

#### getCurrentMemorySize

    @MXBeanDescription(value="Current queue size in  bytes.")
    long getCurrentMemorySize()

Gets current queue size in bytes.

Returns:
  current queue size in bytes.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017